# Object Privileges

Upon setting up a project, certain privileges must be granted to the application to provide access to the source data.  The individual privileges are shown below but are also referenced in the app when creating a new project (see [project setup](/application-workflow/project-setup.md)).

These database and schema level privileges must be granted for all source data:

`GRANT USAGE ON DATABASE`` `<mark style="color:orange;">`<database>`</mark>` ``TO APPLICATION SYNTHETIC DATA GENERATOR;`

`GRANT USAGE, MONITOR ON SCHEMA`<mark style="color:orange;">`<database>.<schema>`</mark>` ``TO APPLICATION SYNTHETIC DATA GENERATOR;`

Depending on the type of source object, you must also run the following grant statements for each object you would like to train using the app.

**Tables:**

`GRANT REFERENCES, SELECT ON TABLE`` `<mark style="color:orange;">`<database>.<schema>.<table>`</mark>` ``TO APPLICATION SYNTHETIC_DATA_GENERATOR;`

**Views:**

`GRANT SELECT ON VIEW`<mark style="color:orange;">`<database>.<schema>.<view>`</mark>` ``TO APPLICATION SYNTHETIC_DATA_GENERATOR;`

**Tables:**

`GRANT SELECT ON MATERIALIZED VIEW`` `<mark style="color:orange;">`<database>.<schema>.<materialized_view>`</mark>` ``TO APPLICATION SYNTHETIC_DATA_GENERATOR;`

**Tables:**

`GRANT SELECT ON DYNAMIC TABLE`<mark style="color:orange;">`<database>.<schema>.<dynamic_table>`</mark>` ``TO APPLICATION SYNTHETIC_DATA_GENERATOR;`

**Tables:**

`GRANT SELECT ON ICEBERG TABLE`` `<mark style="color:orange;">`<database>.<schema>.<iceberg_table>`</mark>` ``TO APPLICATION SYNTHETIC_DATA_GENERATOR;`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datamynd.ai/other/object-privileges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
